Bug 826666 - AttributeError: 'NoneType' object has no attribute 'format'
AttributeError: 'NoneType' object has no attribute 'format'
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:4a90d01ef52dc2ad1a58c22adb0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 13:42 EDT by Mustafa Muhammad
Modified: 2012-09-02 18:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 16:51:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-5WfrsE (1.21 MB, text/plain)
2012-05-30 13:47 EDT, Mustafa Muhammad
no flags Details

  None (edit)
Description Mustafa Muhammad 2012-05-30 13:42:10 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /usr/sbin/anaconda
executable:     /usr/sbin/anaconda
exnFileName:    /tmp/anaconda-tb-5WfrsE
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.x86_64
other involved packages: 
product:        Fedora
release:        Cannot get release name.
time:           Wed 30 May 2012 08:29:18 PM AST
version:        17

anaconda-tb-5WfrsE: Binary file, 1272448 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/yuminstall.py", line 953, in mirrorFailureCB
:    dev.format.mountpoint = self.tree
:  File "/usr/lib/python2.7/site-packages/urlgrabber/mirror.py", line 298, in _failure
:    action = cb(cb_obj, *args, **kwargs) or {}
:  File "/usr/lib/python2.7/site-packages/urlgrabber/mirror.py", line 403, in _mirror_try
:    self._failure(gr, obj)
:  File "/usr/lib/python2.7/site-packages/urlgrabber/mirror.py", line 409, in urlgrab
:    return self._mirror_try(func, url, kw)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 843, in _getFile
:    size=size
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 889, in getHeader
:    cache=cache, size=size,
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2353, in downloadHeader
:    cache=repo.http_caching != 'none',
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/yuminstall.py", line 905, in downloadHeader
:    yum.YumBase.downloadHeader(self, po)
:  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 277, in populateTs
:    self.downloadHeader(txmbr.po)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/yuminstall.py", line 998, in run
:    self.populateTs(keepold=0)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/yuminstall.py", line 1645, in doInstall
:    rc = self.ayum.run(self.instLog, cb, anaconda.intf)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/backend.py", line 205, in doInstall
:    return anaconda.backend.doInstall(anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 247, in go_forward
:    self.dispatch()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1201, in nextClicked
:    self.anaconda.dispatch.go_forward()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/progress_gui.py", line 79, in renderCallback
:    self.intf.icw.nextClicked()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1221, in handleRenderCallback
:    self.currentWindow.renderCallback()
:AttributeError: 'NoneType' object has no attribute 'format'

environ:
:LANG=en_US.UTF-8
:LC_NUMERIC=C
:TERM=linux
:TZ=Asia/Baghdad
:XAUTHORITY=/root/.Xauthority
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:SHLVL=0
:PYTHONPATH=/tmp/updates
:GNOME_DISABLE_CRASH_DIALOG=1
:LIBUSER_CONF=/tmp/libuser.PKzekK
:LVM_SUPPRESS_FD_WARNINGS=1
:PWD=/
:MALLOC_PERTURB_=204
:GCONF_GLOBAL_LOCKS=1
:HOME=/tmp
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:PATH=/usr/bin:/bin:/sbin:/usr/sbin:/mnt/sysimage/bin:/mnt/sysimage/usr/bin:/mnt/sysimage/usr/sbin:/mnt/sysimage/sbin:/sbin:/usr/sbin
:MALLOC_CHECK_=2
:DISPLAY=:1
Comment 1 Mustafa Muhammad 2012-05-30 13:47:23 EDT
Created attachment 587790 [details]
File: anaconda-tb-5WfrsE
Comment 2 Mustafa Muhammad 2012-05-30 16:51:12 EDT
Sorry, my mistake, didn't check the checksum of my ISO.
Comment 3 javier del valle 2012-06-25 07:14:07 EDT
Also I've got the message and couldn't finish the installation
Comment 4 Mustafa Muhammad 2012-06-25 11:50:58 EDT
From the bootable media select "Troubleshooting->Test this media & start Fedora", if it has errors, check your ISO checksum, use sha256sum and compare the result with the one on Fedora website, if it is wrong either re-download the whole ISO, or download it as torrent then replace the ISO that started downloading with your faulty one and select "Check Data" to download only the corrupted parts.

Note You need to log in before you can comment on or make changes to this bug.